com.sun.java.xml.ns.javaee

## Class WebAppType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.WebAppType

-     public class WebAppType
      extends Object

  Java-Klasse für web-appType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="web-appType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice maxOccurs="unbounded" minOccurs="0">
               <element name="module-name" type="{http://java.sun.com/xml/ns/javaee}string" minOccurs="0"/>
               <group ref="{http://java.sun.com/xml/ns/javaee}web-commonType"/>
               <element name="absolute-ordering" type="{http://java.sun.com/xml/ns/javaee}absoluteOrderingType"/>
             </choice>
             <attGroup ref="{http://java.sun.com/xml/ns/javaee}web-common-attributes"/>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `id`
    `protected Boolean` | `metadataComplete`
    `protected List<JAXBElement<?>>` | `moduleNameOrDescriptionAndDisplayName`
    `protected String` | `version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebAppType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()` Ruft den Wert der id-Eigenschaft ab.
    `List<JAXBElement<?>>` | `getModuleNameOrDescriptionAndDisplayName()` Gets the value of the moduleNameOrDescriptionAndDisplayName property.
    `String` | `getVersion()` Ruft den Wert der version-Eigenschaft ab.
    `Boolean` | `isMetadataComplete()` Ruft den Wert der metadataComplete-Eigenschaft ab.
    `void` | `setId(String value)` Legt den Wert der id-Eigenschaft fest.
    `void` | `setMetadataComplete(Boolean value)` Legt den Wert der metadataComplete-Eigenschaft fest.
    `void` | `setVersion(String value)` Legt den Wert der version-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### moduleNameOrDescriptionAndDisplayName

          protected List<JAXBElement<?>> moduleNameOrDescriptionAndDisplayName

    - #### version

          protected String version

    - #### id

          protected String id

    - #### metadataComplete

          protected Boolean metadataComplete

  - ### Constructor Detail

    - #### WebAppType

          public WebAppType()

  - ### Method Detail

    - #### getModuleNameOrDescriptionAndDisplayName

          public List<JAXBElement<?>> getModuleNameOrDescriptionAndDisplayName()

      Gets the value of the moduleNameOrDescriptionAndDisplayName property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the moduleNameOrDescriptionAndDisplayName property.

      For example, to add a new item, do as follows:

              getModuleNameOrDescriptionAndDisplayName().add(newItem);

      Objects of the following type(s) are allowed in the list `JAXBElement``<``DisplayNameType``>` `JAXBElement``<``FilterType``>` `JAXBElement``<``ListenerType``>` `JAXBElement``<``MimeMappingType``>` `JAXBElement``<``MessageDestinationType``>` `JAXBElement``<``EjbRefType``>` `JAXBElement``<``ResourceEnvRefType``>` `JAXBElement``<``WelcomeFileListType``>` `JAXBElement``<``String``>` `JAXBElement``<``DataSourceType``>` `JAXBElement``<``LocaleEncodingMappingListType``>` `JAXBElement``<``IconType``>` `JAXBElement``<``PersistenceContextRefType``>` `JAXBElement``<``ErrorPageType``>` `JAXBElement``<``EnvEntryType``>` `JAXBElement``<``FilterMappingType``>` `JAXBElement``<``LifecycleCallbackType``>` `JAXBElement``<``ParamValueType``>` `JAXBElement``<``ServletMappingType``>` `JAXBElement``<``ServletType``>` `JAXBElement``<``JspConfigType``>` `JAXBElement``<``ResourceRefType``>` `JAXBElement``<``LoginConfigType``>` `JAXBElement``<``SecurityRoleType``>` `JAXBElement``<``AbsoluteOrderingType``>` `JAXBElement``<``EmptyType``>` `JAXBElement``<``EjbLocalRefType``>` `JAXBElement``<``PersistenceUnitRefType``>` `JAXBElement``<``SecurityConstraintType``>` `JAXBElement``<``SessionConfigType``>` `JAXBElement``<``DescriptionType``>` `JAXBElement``<``ServiceRefType``>` `JAXBElement``<``LifecycleCallbackType``>` `JAXBElement``<``MessageDestinationRefType``>`

    - #### getVersion

          public String getVersion()

      Ruft den Wert der version-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setVersion

          public void setVersion(String value)

      Legt den Wert der version-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

    - #### getId

          public String getId()

      Ruft den Wert der id-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Legt den Wert der id-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

    - #### isMetadataComplete

          public Boolean isMetadataComplete()

      Ruft den Wert der metadataComplete-Eigenschaft ab.
      Returns:
        possible object is `Boolean`

    - #### setMetadataComplete

          public void setMetadataComplete(Boolean value)

      Legt den Wert der metadataComplete-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `Boolean`

Copyright © 2015 buschmais GbR. All rights reserved.